Subject: Re: [PATCH][GSOC] Selection of the verbose message is replaced with generated message in install_branch_config()

From: Matthieu Moy <[email-masked]>
Date: Mon, 17 Mar 2014 11:01:15 +0100

Hi,

Aleksey Mokhovikov <[email-masked]> writes:

> This is a milliproject from git google summer of code page. The
> current code that selects the output message is quite easy to
> understand. So I tried to improve it by removing nested conditions and
> code duplication. The output string is generated by selecting the
> proper parts of the message and concatenating them the into one
> template string.

Please, read the threads for other submissions for this microproject.
Most remarks done there also apply for your case. See for example:

  http://thread.gmane.org/gmane.comp.version-control.git/244210

-- 
Matthieu Moy
http://www-verimag.imag.fr/~moy/